# frozen_string_literal: true

module Gitlab
  module Page
    module Group
      module Settings
        module UsageQuota
          # @note Defined as +link :pipeline_tab+
          # Clicks +pipeline_tab+
          def pipeline_tab
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota.pipeline_tab_element).to exist
          #   end
          # @return [Watir::Link] The raw +Link+ element
          def pipeline_tab_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota).to be_pipeline_tab
          #   end
          # @return [Boolean] true if the +pipeline_tab+ element is present on the page
          def pipeline_tab?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +link :storage_tab+
          # Clicks +storage_tab+
          def storage_tab
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota.storage_tab_element).to exist
          #   end
          # @return [Watir::Link] The raw +Link+ element
          def storage_tab_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota).to be_storage_tab
          #   end
          # @return [Boolean] true if the +storage_tab+ element is present on the page
          def storage_tab?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +link :buy_ci_minutes+
          # Clicks +buy_ci_minutes+
          def buy_ci_minutes
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota.buy_ci_minutes_element).to exist
          #   end
          # @return [Watir::Link] The raw +Link+ element
          def buy_ci_minutes_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota).to be_buy_ci_minutes
          #   end
          # @return [Boolean] true if the +buy_ci_minutes+ element is present on the page
          def buy_ci_minutes?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +link :buy_storage+
          # Clicks +buy_storage+
          def buy_storage
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota.buy_storage_element).to exist
          #   end
          # @return [Watir::Link] The raw +Link+ element
          def buy_storage_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota).to be_buy_storage
          #   end
          # @return [Boolean] true if the +buy_storage+ element is present on the page
          def buy_storage?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +strong :additional_minutes+
          # @return [String] The text content or value of +additional_minutes+
          def additional_minutes
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota.additional_minutes_element).to exist
          #   end
          # @return [Watir::Strong] The raw +Strong+ element
          def additional_minutes_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota).to be_additional_minutes
          #   end
          # @return [Boolean] true if the +additional_minutes+ element is present on the page
          def additional_minutes?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +div :additional_minutes_usage+
          # @return [String] The text content or value of +additional_minutes_usage+
          def additional_minutes_usage
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota.additional_minutes_usage_element).to exist
          #   end
          # @return [Watir::Div] The raw +Div+ element
          def additional_minutes_usage_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota).to be_additional_minutes_usage
          #   end
          # @return [Boolean] true if the +additional_minutes_usage+ element is present on the page
          def additional_minutes_usage?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +strong :plan_minutes+
          # @return [String] The text content or value of +plan_minutes+
          def plan_minutes
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota.plan_minutes_element).to exist
          #   end
          # @return [Watir::Strong] The raw +Strong+ element
          def plan_minutes_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota).to be_plan_minutes
          #   end
          # @return [Boolean] true if the +plan_minutes+ element is present on the page
          def plan_minutes?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +div :plan_minutes_usage+
          # @return [String] The text content or value of +plan_minutes_usage+
          def plan_minutes_usage
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota.plan_minutes_usage_element).to exist
          #   end
          # @return [Watir::Div] The raw +Div+ element
          def plan_minutes_usage_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota).to be_plan_minutes_usage
          #   end
          # @return [Boolean] true if the +plan_minutes_usage+ element is present on the page
          def plan_minutes_usage?
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @note Defined as +div :purchase_successful_alert+
          # @return [String] The text content or value of +purchase_successful_alert+
          def purchase_successful_alert
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota.purchase_successful_alert_element).to exist
          #   end
          # @return [Watir::Div] The raw +Div+ element
          def purchase_successful_alert_element
            # This is a stub, used for indexing. The method is dynamically generated.
          end

          # @example
          #   Gitlab::Page::Group::Settings::UsageQuota.perform do |usage_quota|
          #     expect(usage_quota).to be_purchase_successful_alert
          #   end
          # @return [Boolean] true if the +purchase_successful_alert+ element is present on the page
          def purchase_successful_alert?
            # This is a stub, used for indexing. The method is dynamically generated.
          end
        end
      end
    end
  end
end
