# frozen_string_literal: true

module Gitlab
  module BackgroundMigration
    module BatchingStrategies
      # Batching class to use for back-filling vulnerability_read's casted_cluster_agent_id from cluster_agent_id.
      # Batches will be scoped to records where the report_type belongs to cluster_image_scanning.
      #
      # If no more batches exist in the table, returns nil.
      class BackfillVulnerabilityReadsClusterAgentBatchingStrategy < PrimaryKeyBatchingStrategy
        CLUSTER_IMAGE_SCANNING_REPORT_TYPE = 7

        def apply_additional_filters(relation, job_arguments: [], job_class: nil)
          relation.where(report_type: CLUSTER_IMAGE_SCANNING_REPORT_TYPE)
        end
      end
    end
  end
end
